%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-extlib
Version:        1.8.0
Release:        %mkrel 2
Summary:        Extended Standard Library for OCaml
License:        LGPLv2 with linking exceptions
Group:          Development/OCaml
URL:            https://github.com/ygrek/ocaml-extlib
Source0:        https://github.com/ygrek/ocaml-extlib/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml >= 4.02
BuildRequires:  ocaml-dune >= 1.0
BuildRequires:  ocaml-cppo
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-compiler

Obsoletes:      ocaml-extlib_min < 1.6.0-2


%description
ExtLib is a project aiming at providing a complete - yet small - standard
library for the OCaml programming language. The purpose of this library is to
add new functions to OCaml Standard Library modules, to modify some functions
in order to get better performances or more safety (tail-recursive) but also to
provide new modules which should be useful for the average OCaml programmer. 

%package	devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Obsoletes:      ocaml-extlib_min-devel < 1.6.0-2

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%autosetup

# Remove references to the bytes library for OCaml 5.0
sed -i '/bytes/d' src/META

%build
# https://bugzilla.redhat.com/show_bug.cgi?id=1837823
export minimal=1
%ifarch %{ocaml_native_compiler}
%make_build
%else
%make_build -C src all
%endif

%install
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs

export minimal=1
%make_install
%ocaml_files


%check
export minimal=1
%ifarch %{ocaml_native_compiler}
make test
%else
make -C test all run
%endif


%files -f .ofiles
%doc README.md
%license LICENSE


%files devel -f .ofiles-devel



%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.8.0-2.mga10
+ Revision: 2250687
- Mageia 10 Mass Rebuild

* Fri Apr 04 2025 pterjan <pterjan> 1.8.0-1.mga10
+ Revision: 2173467
- Fix build on non native architectures
- Update to 1.8.0

* Thu May 19 2022 pterjan <pterjan> 1.7.8-4.mga9
+ Revision: 1859104
- Rebuild for OCaml 4.14

* Mon Apr 04 2022 umeabot <umeabot> 1.7.8-3.mga9
+ Revision: 1843043
- Mageia 9 Mass Rebuild

* Tue Oct 12 2021 tv <tv> 1.7.8-2.mga9
+ Revision: 1750828
- Rebuild for ocaml 4.13.1
- use %%autosetup

* Wed Mar 03 2021 tv <tv> 1.7.8-1.mga9
+ Revision: 1697211
- New upstream version 1.7.8
- Build only minimal version (RHBZ#1837823)

* Sun Jan 10 2021 pterjan <pterjan> 1.7.5-7.mga8
+ Revision: 1670755
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.7.5-6.mga8
+ Revision: 1551583
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.7.5-5.mga8
+ Revision: 1543554
- Mageia 8 Mass Rebuild

* Sun Jan 19 2020 tv <tv> 1.7.5-4.mga8
+ Revision: 1481523
- rebuild for ocaml-4.10

* Thu Oct 25 2018 daviddavid <daviddavid> 1.7.5-3.mga7
+ Revision: 1325169
- rebuild for new ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 1.7.5-2.mga7
+ Revision: 1299866
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 daviddavid <daviddavid> 1.7.5-1.mga7
+ Revision: 1243374
- new version: 1.7.5
- remove merged upstream patch

* Sat Mar 24 2018 daviddavid <daviddavid> 1.7.4-2.mga7
+ Revision: 1211826
- new version: 1.7.4
- add upstream patch to fix 32bit build
- move *.cmxs files to the main pkg

* Sat Nov 25 2017 tv <tv> 1.7.0-3.mga7
+ Revision: 1179143
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 1.7.0-2.mga6
+ Revision: 1056333
- Rebuild for fix in ocaml

* Mon Feb 08 2016 pterjan <pterjan> 1.7.0-1.mga6
+ Revision: 950681
- Add missing BuildRequires
- Update to 1.7.0

* Fri Jan 29 2016 pterjan <pterjan> 1.6.1-4.mga6
+ Revision: 928998
- Fix BuildRequires
- Rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 1.6.1-3.mga5
+ Revision: 748677
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.1-2.mga5
+ Revision: 683027
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 1.6.1-1.mga5
+ Revision: 673928
- add BR on camlp4
- update to 1.6.1
+ blue_prawn <blue_prawn>
- split for the minimal version of the extlib
- updated to last version 1.6.0

* Sat Oct 19 2013 umeabot <umeabot> 1.5.4-3.mga4
+ Revision: 533883
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 blue_prawn <blue_prawn> 1.5.4-2.mga4
+ Revision: 475744
- rebuild for ocaml-4.01.0
- updated to last version 1.5.4
- updated to last version 1.5.4

* Sat Jan 12 2013 umeabot <umeabot> 1.5.3-4.mga3
+ Revision: 361301
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 malo <malo> 1.5.3-3.mga3
+ Revision: 337883
- add missing interface file (cmi) file

* Sat Dec 01 2012 malo <malo> 1.5.3-2.mga3
+ Revision: 324231
- rebuild for new ocaml

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.5.3-1.mga3
+ Revision: 301438
- updated to last version 1.5.3
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.5.2-2.mga3
+ Revision: 300082
- new rpm group for ocaml
- Documentation RPM group
- More precise licensing informations.

* Sun Oct 02 2011 shlomif <shlomif> 1.5.2-1.mga2
+ Revision: 151043
- New version - thanks to Malo.

* Sat Apr 30 2011 misc <misc> 1.5.1-4.mga1
+ Revision: 93947
- increase Release so we can upgrad efrom Mandriva

* Mon Mar 07 2011 saispo <saispo> 1.5.1-1.mga1
+ Revision: 66102
- imported package ocaml-extlib

